C# 클래스 Revit.SDK.Samples.GridCreation.CS.Command

상속: IExternalCommand
파일 보기 프로젝트 열기: AMEE/revit

공개 메소드들

메소드 설명
Execute ( ExternalCommandData commandData, string &message, Autodesk elements ) : Autodesk.Revit.UI.Result

Implement this method as an external command for Revit.

GetSelectedModelLinesAndArcs ( System.Windows.Forms.Document document ) : ElementSet

Get all model and detail lines/arcs within selected elements

비공개 메소드들

메소드 설명
GetAllLabelsOfGrids ( System.Windows.Forms.Document document ) : ArrayList

Get all grid labels in current document

GetLengthUnitType ( System.Windows.Forms.Document document ) : DisplayUnitType

Get current length display unit type

GetSelectedCurves ( System.Windows.Forms.Document document ) : CurveArray

Get all selected lines and arcs

메소드 상세

Execute() 공개 메소드

Implement this method as an external command for Revit.
public Execute ( ExternalCommandData commandData, string &message, Autodesk elements ) : Autodesk.Revit.UI.Result
commandData ExternalCommandData An object that is passed to the external application /// which contains data related to the command, /// such as the application object and active view.
message string A message that can be set by the external application /// which will be displayed if a failure or cancellation is returned by /// the external command.
elements Autodesk A set of elements to which the external application /// can add elements that are to be highlighted in case of failure or cancellation.
리턴 Autodesk.Revit.UI.Result

GetSelectedModelLinesAndArcs() 공개 정적인 메소드

Get all model and detail lines/arcs within selected elements
public static GetSelectedModelLinesAndArcs ( System.Windows.Forms.Document document ) : ElementSet
document System.Windows.Forms.Document Revit's document
리턴 ElementSet